<template>
  <div style="height: 100%">
    <div class="page-header">
      <div class="header-left">
        <a @click="$router.go(-1)"><i class="icon-btn-back"></i></a>
        <h2>编辑-客户订单</h2>
      </div>
    </div>
    <div>
      <div class="page-main">
        <div class="customer-basic">
          <el-form
            :model="dataForm"
            :rules="dataRule"
            ref="dataForm"
            @keyup.enter.native="dataFormSubmit()"
            label-width="120px"
            class="l-mes"
            disabled
          >
            <el-row>
              <el-col :span="6"
                ><el-form-item label="合同号" prop="contractNo">
                  <el-input
                    v-model="dataForm.contractNo"
                    placeholder="合同号"
                  ></el-input>
                </el-form-item>
                <el-form-item label="客户合同号" prop="customerContractNo">
                  <el-input
                    v-model="dataForm.customerContractNo"
                    placeholder="客户合同号"
                  ></el-input>
                </el-form-item>
                <el-form-item label="客户名称" prop="customerName">
                  <el-input
                    v-model="dataForm.customerName"
                    placeholder="客户名称"
                  ></el-input>
                </el-form-item>
                <el-form-item label="工程名称" prop="entityName">
                  <el-input
                    v-model="dataForm.entityName"
                    placeholder="工程名称"
                  ></el-input>
                </el-form-item>
              </el-col>
              <el-col :span="6">
                <el-form-item label="交货日期" prop="deliveryDate">
                  <el-input
                    v-model="dataForm.deliveryDate"
                    placeholder="交货日期"
                  ></el-input>
                </el-form-item>
                <el-form-item label="事业部" prop="salesDepartment">
                  <el-input
                    v-model="dataForm.salesDepartment"
                    placeholder="事业部"
                  ></el-input>
                </el-form-item>
                <el-form-item label="省份" prop="province">
                  <el-input
                    v-model="dataForm.province"
                    placeholder="省份"
                  ></el-input>
                </el-form-item>
                <el-form-item label="业务员" prop="interiorSalesMan">
                  <el-input
                    v-model="dataForm.interiorSalesMan"
                    placeholder="业务员"
                  ></el-input> </el-form-item
              ></el-col>
              <el-col :span="6"
                ><el-form-item
                  label="业务员编号"
                  prop="interiorSalesManWorkCode"
                >
                  <el-input
                    v-model="dataForm.interiorSalesManWorkCode"
                    placeholder="业务员编号"
                  ></el-input>
                </el-form-item>
                <el-form-item label="正本状态" prop="originalContractStatus">
                  <el-input
                    v-model="dataForm.originalContractStatus"
                    placeholder="正本状态"
                  ></el-input>
                </el-form-item>
                <el-form-item label="项目性质" prop="isCp">
                  <el-input
                    v-model="dataForm.isCp"
                    placeholder="项目性质"
                  ></el-input>
                </el-form-item>
                <el-form-item label="客户编码" prop="customerNo">
                  <el-input
                    v-model="dataForm.customerNo"
                    placeholder="客户编码"
                  ></el-input>
                </el-form-item>
              </el-col>
              <el-col :span="6">
                <el-form-item label="合同正本状态" prop="returnStatus">
                  <el-input
                    v-model="dataForm.returnStatus"
                    placeholder="合同正本状态"
                  ></el-input>
                </el-form-item>
                <el-form-item label="下单日期" prop="placeOrderDate">
                  <el-input
                    v-model="dataForm.placeOrderDate"
                    placeholder="下单日期"
                  ></el-input>
                </el-form-item>
                <el-form-item label="审核日期" prop="verifyDate">
                  <el-input
                    v-model="dataForm.verifyDate"
                    placeholder="审核日期"
                  ></el-input>
                </el-form-item>
                <el-form-item label="工厂下单日期" prop="factoryPlaceOrderDate">
                  <el-input
                    v-model="dataForm.factoryPlaceOrderDate"
                    placeholder="工厂下单日期"
                  ></el-input> </el-form-item
              ></el-col>
            </el-row>
          </el-form>
        </div>
        <div class="customer-detail">
          <el-tabs type="border-card" ref="tabs">
            <el-tab-pane label="客户订单行" type="card">
              <Customerorder :paramObj="paramObj"></Customerorder>
            </el-tab-pane>
          </el-tabs>
        </div>
      </div>
    </div>
  </div>
</template>
<style>
.customer-basic {
  background-color: #fff;
  height: 180px;
  display: flex;
  padding: 20px 30px;
  border: 1px solid #ddd;
}
.customer-detail {
  margin-top: 10px;
}
</style>
<script>
import { getObj, addObj, putObj } from '@/api/plan/customer'
import Customerorder from '@/views/plan/customer/customerorder.vue'
import { sysParam } from '../../../config/sysParam'

export default {
  components: { Customerorder },
  data() {
    return {
      paramObj: {},
      visible: false,
      dataForm: {
        id: 0,
        contractNo: '',
        customerContractNo: '',
        customerName: '',
        entityName: '',
        deliveryDate: '',
        salesDepartment: '',
        province: '',
        interiorSalesMan: '',
        interiorSalesManWorkCode: '',
        originalContractStatus: '',
        isCp: '',
        customerNo: '',
        returnStatus: '',
        placeOrderDate: '',
        verifyDate: '',
        factoryPlaceOrderDate: ''
      },
      dataRule: {
        contractNo: [
          { required: true, message: '合同号不能为空', trigger: 'blur' }
        ],
        customerContractNo: [
          { required: true, message: '客户合同号不能为空', trigger: 'blur' }
        ],
        customerName: [
          { required: true, message: '客户名称不能为空', trigger: 'blur' }
        ],
        entityName: [
          { required: true, message: '工程名称不能为空', trigger: 'blur' }
        ],
        deliveryDate: [
          { required: true, message: '交货日期不能为空', trigger: 'blur' }
        ],
        salesDepartment: [
          { required: true, message: '事业部不能为空', trigger: 'blur' }
        ],
        province: [
          { required: true, message: '省份不能为空', trigger: 'blur' }
        ],
        interiorSalesMan: [
          { required: true, message: '业务员不能为空', trigger: 'blur' }
        ],
        interiorSalesManWorkCode: [
          { required: true, message: '业务员编号不能为空', trigger: 'blur' }
        ],
        originalContractStatus: [
          { required: true, message: '正本状态不能为空', trigger: 'blur' }
        ],
        isCp: [
          { required: true, message: '项目性质不能为空', trigger: 'blur' }
        ],
        customerNo: [
          { required: true, message: '客户编码不能为空', trigger: 'blur' }
        ],
        returnStatus: [
          { required: true, message: '合同正本状态不能为空', trigger: 'blur' }
        ],
        placeOrderDate: [
          { required: true, message: '下单日期不能为空', trigger: 'blur' }
        ],
        verifyDate: [
          { required: true, message: '审核日期不能为空', trigger: 'blur' }
        ],
        factoryPlaceOrderDate: [
          { required: true, message: '工厂下单日期不能为空', trigger: 'blur' }
        ]
      }
    }
  },
  mounted() {
    window.addEventListener(
      'hashchange',
      () => {
        const currentPath = window.location.hash.slice(1)
        if (this.$route.path !== currentPath) {
          this.$router.push(currentPath)
        }
      },
      false
    )
  },
  created() {
    this.dataForm.id = this.$route.params.id
    this.init()
  },
  methods: {
    init() {
      this.paramObj = { customerId: this.dataForm.id }
      this.visible = true
      this.$nextTick(() => {
        this.$refs.dataForm.resetFields()
        if (this.dataForm.id) {
          getObj(this.dataForm.id).then((response) => {
            this.dataForm = response.data.data
          })
        }
      })
    },
    // 表单提交
    dataFormSubmit() {
      this.$refs.dataForm.validate((valid) => {
        if (valid) {
          if (this.dataForm.id) {
            putObj(this.dataForm).then((data) => {
              this.$message.success('修改成功')
              this.visible = false
              this.$emit('refreshDataList')
            })
          } else {
            addObj(this.dataForm).then((data) => {
              this.$message.success('添加成功')
              this.visible = false
              this.$emit('refreshDataList')
            })
          }
        }
      })
    }
  }
}
</script>
